[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendDebugFmtEx

Format and send message with alternate type

## Declaration

Source position: dbugintf.pp line 35

`procedure SendDebugFmtEx(`
`const Msg: String;`
`const Args: array of Const;`
`MType: TDebugLevel`
`);`

## Arguments

`Msg` |  | Message template
`Args` |  | Arguments to insert in template
`MType` |  | Debug level of message

## Description

SendDebugFmtEx is a utility routine which formats a message by passing Msg and Args to Format and sends the result to the debug server using SendDebugEx with Debug level MType. It exists mainly to avoid the Format call in calling code.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendDebugEx |  | Send debug message other than informational messages
SendDebugFmt |  | Format and send a debug message
#rtl.sysutils.format

The latest version of this document can be found at lazarus-ccr.sourceforge.net.